Skip to main content
PUT
cURL

Field support per integration

This endpoint is asynchronous. To check the status of the request, use the GET asyncTask endpoint.For more info about asynchronous tasks visit the Asynchronous Task section.
Supported request parameters:
string
required
BookingType
required
Available options: INVOICE, BILL, CREDIT_NOTE, VENDOR_CREDIT.
file[]
Only one file is supported. The file name must not exceed 255 characters in length.

Headers

X-API-KEY
string
required

API key

X-ACCOUNT-KEY
string
required

Account key

Path Parameters

bookingProposalId
string
required

Query Parameters

companyId
string

ID of the company (required for multi-company target systems)

Body

multipart/form-data
bookingProposal
object
bookingType
enum<string>
Available options:
BILL,
CREDIT_NOTE,
INVOICE,
VENDOR_CREDIT
files
file[]

Array of files to upload

Response

202 - application/json

Booking proposal update request accepted for async processing

meta
object
data
object
Last modified on November 2, 2026